## Apache Zeta Components Manual :: Docs For Class ezcGraphDataSetAxisProperty

### Graph::ezcGraphDataSetAxisProperty

### Class ezcGraphDataSetAxisProperty

Class for axis properties of datasets

This class is used to store properties for datasets, which should be validated as objects extending the ezcGraphChartElementAxis class.

For a basic usage example of those dataset properties take a look at the API documentation of the ezcGraphDataSetProperty class.

Source for this file: /Graph/src/datasets/property/axis.php

    ezcGraphDataSetProperty
       |
       --ezcGraphDataSetAxisProperty

Version: | //autogentag//

### Inherited Member Variables

From ezcGraphDataSetProperty
protected | `ezcGraphDataSetProperty::$dataset`
protected | `ezcGraphDataSetProperty::$dataValue`
protected | `ezcGraphDataSetProperty::$defaultValue`

### Method Summary

protected void | `checkValue( &$value , $value )` Chacks if value is really an axis
public void | `offsetSet( $key , $value )` Set an option.

### Inherited Methods

From ezcGraphDataSetProperty
protected abstract void | `ezcGraphDataSetProperty::checkValue()` Abstract method to contain the check for validity of the value
public bool | `ezcGraphDataSetProperty::offsetExists()` Returns if an option exists.
public mixed | `ezcGraphDataSetProperty::offsetGet()` Returns an option value.
public void | `ezcGraphDataSetProperty::offsetSet()` Set an option.
public void | `ezcGraphDataSetProperty::offsetUnset()` Unset an option.
public mixed | `ezcGraphDataSetProperty::__get()` Get the default value for this property
public void | `ezcGraphDataSetProperty::__set()` Set the default value for this property

### Methods

#### checkValue

void checkValue( &$value , ezcGraphChartElementAxis $value )

Chacks if value is really an axis

##### Parameters:

Name | Type | Description
--- | --- | ---
`$value` | ezcGraphChartElementAxis |
`&$value` |  |

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphDataSetProperty::checkValue()` | Abstract method to contain the check for validity of the value

#### offsetSet

void offsetSet( string $key , mixed $value )

Set an option.

Sets an option using ArrayAccess.

This is deaktivated, because you need not set a different axis for some data point.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$key` | string | The option to set.
`$value` | mixed | The value for the option.

##### Exceptions:

Type | Description
--- | ---
`ezcGraphInvalidAssignementException` | Always

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphDataSetProperty::offsetSet()` | Set an option.

Documentation generated by phpDocumentor 1.4.3